{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CONV_ORDRE"; 
            externalType = NUMBER; 
            name = convOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "LOLF_ID"; 
            externalType = NUMBER; 
            name = lolfId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCAP_ID"; 
            externalType = NUMBER; 
            name = pcapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCL_ID"; 
            externalType = NUMBER; 
            name = pclId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCL_QUOTITE"; 
            externalType = NUMBER; 
            name = pclQuotite; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (canId, convOrdre, lolfId, orgId, pcapId, pclId, tcdOrdre); 
    className = "org.cocktail.kaki.server.metier.EOPafCapLbud"; 
    classProperties = (cap, codeAnalytique, convention, lolf, organ, pclQuotite, typeCredit); 
    externalName = "jefy_paf.PAF_CAP_LBUD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cap, codeAnalytique, convention, lolf, organ, pclQuotite, typeCredit); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafCapLbud"; 
    }; 
    name = PafCapLbud; 
    primaryKeyAttributes = (pclId); 
    relationships = (
        {
            destination = PafChargesAPayer; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcapId; sourceAttribute = pcapId; }); 
            name = cap; 
        }, 
        {
            destination = CodeAnalytique; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = codeAnalytique; 
        }, 
        {
            destination = Convention; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = convOrdre; }); 
            name = convention; 
        }, 
        {
            destination = "ca_LolfNomenclatureDepense"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = lolfId; sourceAttribute = lolfId; }); 
            name = lolf; 
        }, 
        {
            destination = "ca_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
